For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
        • GETList Users
        • GETFetch a User
        • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush NotificationsUsers

Fetch a User

GET
https://comms.twilio.com/v1/PushNotifications/Users/:userId
GET
/v1/PushNotifications/Users/:userId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.users.fetch("userId");
9}
10main();
1{
2 "id": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
3 "createdAt": "2024-01-15T14:15:22Z",
4 "updatedAt": "2024-01-15T14:15:22Z",
5 "deletedAt": null,
6 "related": []
7}
This operation fetches a single Push Notification User using its ID.
Was this page helpful?
Previous

Delete a User

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

userIdstringRequired

Response

OK
idstringformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Push Notification User.
createdAtstringformat: "date-time"
The date and time the User was created.
updatedAtstringformat: "date-time"
The date and time the User was last updated.
deletedAtstring or nullformat: "date-time"
The date and time the User was deleted, if applicable.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error